package com.company.audiodemo.view.audiodemo.component;

import com.vaadin.flow.component.Component;
import com.vaadin.flow.component.Tag;

@Tag(Audio.TAG)
public class Audio extends Component {

    public static final String TAG = "audio";

    public Audio() {
        getElement().setAttribute("controls", true);
    }

    public String getSource() {
        return getElement().getProperty("src");
    }

    public void setSource(String source) {
        getElement().setProperty("src", source);
    }
}
