package com.company.audiodemo;

import com.company.audiodemo.view.audiodemo.component.Audio;
import com.company.audiodemo.view.audiodemo.component.AudioLoader;
import io.jmix.flowui.sys.registration.ComponentRegistration;
import io.jmix.flowui.sys.registration.ComponentRegistrationBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class AudioDemoConfiguration {
    @Bean
    public ComponentRegistration audio() {
        return ComponentRegistrationBuilder.create(Audio.class)
                .withComponentLoader(Audio.TAG, AudioLoader.class)
                .build();
    }
}
