package com.company.audiodemo.view.audiodemo.component;

import com.google.common.base.Strings;
import io.jmix.flowui.xml.layout.loader.AbstractComponentLoader;

public class AudioLoader extends AbstractComponentLoader<Audio> {
    @Override
    protected Audio createComponent() {
        resultComponent = factory.create(Audio.class);
        loadId(resultComponent, element);
        return resultComponent;
    }

    @Override
    public void loadComponent() {
        String sourceStr = element.attributeValue("src");
        if (!Strings.isNullOrEmpty(sourceStr)) {
            resultComponent.setSource(sourceStr);
        }
    }
}
